dpkg-parsechangelog(1)

NOME
dpkg-parsechangelog - analisa ficheiros de registos de alterações Debian

RESUMO
dpkg-parsechangelog [option...]

DESCRIÇÃO
dpkg-parsechangelog lê e analisa o changelog de uma árvore fonte Debian desempacotada e envia a informação para a saída standard num formato de linguagem-máquina.

OPÇÕES

-l, --file changelog-file
    Especifica o ficheiro de registo de alterações de onde ler informação. Pode ser usado um ‘-’ para especificar leitura a partir da entrada standard. A predefinição é debian/changelog.

-F changelog-format
    Especifica o formato do changelog. Por predefinição o formato é lido a partir de uma linha especial perto do fundo do changelog ou falhando isto cai para o formato standard debian. Veja também "FORMATOS DE CHANGELOG".

-L libdir
    Opção obsoleta sem qualquer efeito (desde dpkg 1.18.8). Definir as variáveis de ambiente perl PERL5LIB ou PERLLIB tem um efeito semelhante quando se procura pelos módulos perl de analisador.

-S, --show-field field
    Especifica o nome do campo a mostrar (desde dpkg 1.17.0). O nome do campo não é mostrado, apenas o seu valor.

-?, --help
    Mostra a mensagem de utilização e termina.

--version
    Mostra a versão e termina.

  Opções de Analisador
As seguintes opções podem ser usadas para influenciar o resultado do analisador de changelog, por exemplo o alcance das entradas ou o formato dos resultados.

--format output-format
    Define o formato de resultado. Actualmente os valores suportados são dpkg e rfc822. dpkg é o formato de saída clássico (já vem de antes esta opção existir) e o predefinido. Consistem em uma estrofe em formato de controlo Debian (veja deb-control(5)). Se for requerida mais do que uma entrada, então a maioria dos campos são obtidos a partir da primeira entrada (geralmente a entrada mais recente), excepto caso contrário declarado:

    Source: pkg-name
        O nome do pacote fonte.

    Version: version
        O número de versão de fonte. Nota: Para lançamentos apenas-binário pode não existir nenhum lançamento fonte correspondente.

    Distribution: target-distribution
        Uma lista separada por espaços de uma ou mais nomes de distribuições onde esta versão deve ser instalada quando é feito o envio dela.

    Urgency: urgency
        De todas as entradas incluídas é usada a que tem a urgência mais alta, seguida pelos comentários (separados por espaços) concatenados de todas as versões requisitadas.

    Maintainer: author
        O nome e endereço de email da pessoa que preparou estas alterações, não são necessariamente aquele de quem faz o envio nem do maintainer habitual do pacote.

    Date: date
        A data da entrada como uma string, como aparece no changelog. Com um formato strptime(3) "%a, %d %b %Y %T %z", mas onde o dia da semana pode não corresponder realmente ao dia real obtido a partir do resto da string da data. Se você precisar duma representação mais exacta da data, use o campo Timestamp, mas tenha em conta que pode não ser possível mapear-lo de volta ao valor exacto neste campo.

    Timestamp: timestamp
        A data da entrada como uma marca temporal em segundos desde a época (desde dpkg 1.18.8).

    Closes: bug-number
        Os campos Closes de todas as entradas incluídas são fundidos.

    Changes: changelog-entries
        O texto de todas as entradas changelog é concatenado. Para tornar este campo um campo multi-linha de formato de controlo Debian válido, as linhas vazias são substituídas por um único ponto final e todas são destinadas por caractere de espaço. O conteúdo exacto depende do formato do changelog.

    Os campos Version, Distribution, Urgency, Maintainere Changes são obrigatórios.

    Podem estar presentes campos adicionais definidos pelo utilizador.

    O formato rfc822 usa os mesmos campos mas escreve uma estrofe separada para cada entrada no changelog para que todos os meta-dados de cada entrada sejam preservados.

--reverse
    Inclui todas as alterações em ordem reversa (desde dpkg 1.19.1).

    Nota: Para o formato do dpkg a primeira entrada será a entrada mais antiga.

--all
    Inclui todas as alterações. Nota: Outras opções não têm efeito quando isto é usado.

-s, --since version
-v version
    Inclui todas as alterações posteriores a versão.

-u, --until version
    Inclui todas as alterações anteriores a versão.

-f, --from version
    Inclui todas as alterações iguais ou posteriores a versão.

-t, --to version
    Inclui todas as alterações até ou igual a versão.

-c, --count number
-n number
    Inclui número de entradas a partir do topo (ou do fundo se número for menor que 0).

-o, --offset number
    Altera o ponto de inicio para --count, contado a partir do topo (ou do fundo se número for menor que 0).

FORMATOS DE CHANGELOG
É possível usar um formato diferente para o standard, ao disponibilizar um analisador para esse formato alternativo.

De modo a ter o dpkg-parsechangelog a correr o novo analisador, tem de ser incluída uma linha dentro das últimas 40 linhas do ficheiro changelog, correspondendo à expressão regular Perl “\schangelog-format:\s+([0-9a-z]+)\W”. A parte em parêntesis deve ser o nome do formato. Por exemplo:

    @@@ changelog-format: otherformat @@@

Os nomes de formatos do registo de alterações são strings não vazias de alfanuméricos em letra minúscula (“a-z0-9”).

Se tal linha existir então dpkg-parsechangelog irá procurar por um analisador como um Dpkg::Changelog::Otherformat módulo perl; é um erro para ele não estar presente. O nome do analisador no módulo perl irá ser automaticamente capitalizado. O formato de changelog predefinido é debian, e um analisador para ele é fornecido por predefinição.

O analisador deve ser derivado a partir da classe Dpkg::Changeloge implementar a necessária interface documentada.

No formato de changelog que está a ser analisado, sempre ou quase sempre deixa uma linha vazia entre notas de alteração individuais, estas linhas vazias devem ser retiradas, para se criar a saída compacta resultante.

Se o formato de changelog não conter informação da data ou do nome do pacote, esta informação deve ser omitida do resultado. O analisador não deve tentar sintetiza-la ou encontra-la a partir de outros serviços.

Se o changelog não tiver o formato esperado, o analisador deve sair em erro, em vez de tentar inventar e possivelmente gerar resultados incorrectos.

Um analisador do registo de alterações pode não interagir de todo com o utilizador.

NOTAS
Todas as Parser Options excepto para -v só são suportadas desde dpkg 1.14.16.

A análise de opções curtas com valores não-embolados está disponível apenas desde dpkg 1.18.0.

AMBIENTE

DPKG_COLORS
    Define o modo de cor (desde dpkg 1.18.5). Os valores actualmente aceites são: auto (predefinido), always e never.

DPKG_NLS
    Se definida, será usada para decidir se deve activar o Suporte a Linguagem Nativa. Também como conhecido como suporte de internacionalização (ou i18n) (desde dpkg 1.19.0). Os valores aceites são 0 e 1 (predefinição).

FICHEIROS

debian/changelog
    O ficheiro changelog, usado ara obter informação dependente da versão acerca do pacote fonte, tal como a urgência e distribuição de um envio, as alterações feitas desde um lançamento particular, e o número de versão da própria fonte.

BUGS
O campo Maintainer tem uma confusão com o nome que corresponde ao campo no ficheiro debian/control mas não é exactamente a mesma semântica, onde o seu significado seria melhor representado pelo nome de campo Changed-By usado no ficheiro .changes.

VEJA TAMBÉM
deb-changelog(5).

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro <a_monteiro@gmx.com>.